<div class="m-3">
  <kendo-grid [data]="batches" [pageSize]="pageSize" [skip]="skip" [pageable]="true" [columnMenu]="false"
    (dataStateChange)="dataStateChange($event)" [groupable]="false" [reorderable]="reorder" [sort]="sort"
    [navigable]="true" (sortChange)="sortChange($event)" (groupChange)="groupChange($event)">
    <kendo-grid-column field="batchNo" title="Batch No"></kendo-grid-column>
    <kendo-grid-column field="customBatchNo" title="Custom Batch No.">

    </kendo-grid-column>
    <kendo-grid-column field="thirdPartyName" title="Third Party Name"></kendo-grid-column>
    <kendo-grid-column field="batchAmount" title="Batch Amount"></kendo-grid-column>
    <kendo-grid-column field="batchReceivedAmount" title="Batch Received Amount"></kendo-grid-column>
    <kendo-grid-column field="status" title="Status"></kendo-grid-column>
    <div *kendoGridDetailTemplate="let dataItem">
      <kendo-grid [data]="dataItem.invoices" [height]="350" [pageSize]="pageSize" [skip]="skip" [pageable]="true" [columnMenu]="false"
      (dataStateChange)="dataStateChange($event)" [groupable]="false" [reorderable]="reorder"
      [sort]="sort" (sortChange)="sortChange($event)" (groupChange)="groupChange($event)"
      [sortable]="{
    allowUnsort: allowUnsort,
    mode: multiple ? 'multiple' : 'single'
    }" >
      <kendo-grid-column field="invoiceNumber" title="Invoice">
        <ng-template kendoGridCellTemplate let-dataItem>
          <div *ngIf="dataItem.locked">
            <mat-icon style="font-size: 14px;margin: 0px;">lock</mat-icon>
            <a class="invoice-link" href="#">{{dataItem.invoiceNumber}}</a>
          </div>
          <div *ngIf="!dataItem.locked">
            <a class="invoice-link" href="#">{{dataItem.invoiceNumber}}</a>
          </div>

        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="date" title="Date"></kendo-grid-column>
      <kendo-grid-column field="practitioner" title="Practitioner"></kendo-grid-column>
      <kendo-grid-column field="offerings" title="Offerings"></kendo-grid-column>
      <kendo-grid-column field="payer" title="Payer"></kendo-grid-column>
      <kendo-grid-column field="total" title="Total"></kendo-grid-column>
    </kendo-grid>
    </div>
  </kendo-grid>

</div>
